-- loading
local newfont_uneven_alt_img = love.image.newImageData("newfont_uneven_alt.png")
local newfont_uneven_alt = love.graphics.newImageFont(newfont_uneven_alt_img,
	' abcdefghijklmnopqrstuvwxyz' ..
	'ABCDEFGHIJKLMNOPQRSTUVWXYZ' ..
	'0123456789' ..
	'.,:;\'!?-+/()%*_&#=[]"{}')
	
local teststring = 'This is my little Test for slime :). Font:getWidth seems to be broken in love 0.10.x !?'

function love.load( args )
	love.graphics.setFont( newfont_uneven_alt )
end

function love.update(dt)
end

function love.draw()
	--------------------------
	-- 1  - draw guisystem
	--------------------------
	--gui.core.draw()
	
	local w,h = 96, 20
	local x,y = 340,40
	
	local f = love.graphics.getFont()
	
	-- dynamic
	love.graphics.print(teststring, x + (w-f:getWidth(teststring))/2, y + (h-f:getHeight(teststring))/2)
	
	-- fixed
	love.graphics.print(teststring, x -141.5, y +20)
	
	love.graphics.setColor( 255, 255, 255, 255 )
end

function love.keypressed(key, unicode)
	-- handle exit
	if key == 'escape' then
		love.event.push('quit')	--for 0.8.0
		love.event.push('q')	--for 0.7.0
	end
end
